[Rd] R 1.9.1 fails to install for Mac 10.2.8 (PR#7190)

Simon Urbanek simon.urbanek at math.uni-augsburg.de
Fri Aug 20 00:40:57 CEST 2004

On Aug 19, 2004, at 6:30 PM, sbagley at ucla.edu wrote:

> Was running R 1.9.0 on iMac (10.2.8) without problems.  Tried to run 
> installer
> for 1.9.1, but this stops after only several seconds, saying "There 
> were
> problems installing the software." Problem is repeatable, even after 
> repairing file permissions.

This is repeatable only in your setup and if you really "repaired" 
permissions of R.framework it would go away ;) [Apple's DU doesn't do 
that AFAIR]. It seems that your R 1.9.0 uses different rights than 
1.9.1 which (depending on how you installed 1.9.0) may prevent the 
1.9.1 installer from having sufficient rights to delete the old 
version. The easiest way to solve this is to run
sudo rm -rf /Library/Frameworks/R.framework
in the Terminal, thus removing old R manually. Another possible fix is 
to bump up the authentication requirement of the installer from "admin" 
to "root" by editing the Info.plist ... which should be only done if 
you know what you're doing ;). We could do that in general if that 
bites more people...


More information about the R-devel mailing list